Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions.naming
Class FileNameGeneratorAction

    java.lang.Object
      org.jboss.soa.esb.actions.AbstractActionLifecycle
          org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
              org.jboss.soa.esb.actions.naming.FileNameGeneratorAction

All Implemented Interfaces:
  ActionLifecycle, ActionPipelineProcessor, BeanConfiguredAction

    public class FileNameGeneratorAction

extends AbstractActionPipelineProcessor
implements BeanConfiguredAction

Action that generates a filename based on a naming strategy.

Author:
  Derek Adams

Field Summary
`static java.lang.String` | `ATTR_CLASS` Class attribute
`static java.lang.String` | `DEFAULT_RESULT_PROPERTY` Default name for processing result
`static java.lang.String` | `ELEMENT_STRATEGY` Tag for strategy element
`protected java.util.List<FileNamingStrategy>` | `strategyImpls` List of strategy instances created from XML

Fields inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`PROCESS_EXCEPTION_METHOD, PROCESS_METHOD, PROCESS_SUCCESS_METHOD`

Constructor Summary
`FileNameGeneratorAction()`

Method Summary
`protected void` | `createStrategies()` Create a List of strategy implentations from the XML.
`protected FileNamingStrategy` | `createStrategy(org.w3c.dom.Node strategyNode)` Create a strategy instance given a DOM node.
`java.lang.String` | `getFileNameProperty()` Get the property that holds the initial file name.
`java.lang.String` | `getResultProperty()` Get the property that holds the processed file name.
`java.lang.String` | `getStrategies()` Set the string containing XML for strategies.
`Message` | `process(Message message)` Perform the action processing on the specified message.
`void` | `setFileNameProperty(java.lang.String fileNameProperty)` Set the property that holds the initial file name.
`void` | `setResultProperty(java.lang.String resultProperty)` Set the property that holds the processed file name.
`void` | `setStrategies(java.lang.String strategies)` Set the string containing XML for strategies.

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
`processException, processSuccess`

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionLifecycle
`destroy, initialise`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.actions.ActionLifecycle
`destroy, initialise`

Field Detail

### strategyImpls

    protected java.util.List<FileNamingStrategy> strategyImpls

  List of strategy instances created from XML

### DEFAULT_RESULT_PROPERTY

    public static final java.lang.String DEFAULT_RESULT_PROPERTY

  Default name for processing result

  See Also:
    Constant Field Values

### ELEMENT_STRATEGY

    public static final java.lang.String ELEMENT_STRATEGY

  Tag for strategy element

  See Also:
    Constant Field Values

### ATTR_CLASS

    public static final java.lang.String ATTR_CLASS

  Class attribute

  See Also:
    Constant Field Values

Constructor Detail

### FileNameGeneratorAction

    public FileNameGeneratorAction()

Method Detail

### process

    public Message process(Message message)
                    throws ActionProcessingException

  Description copied from interface: `ActionPipelineProcessor`
  Perform the action processing on the specified message. This method is invoked for each message passing throught the pipeline.

  Specified by:
    `process` in interface `ActionPipelineProcessor`
  Parameters:
    `message` - The current message being processed.
  Returns:
    The message to be passed to the next stage of the pipeline.
  Throws:
    `ActionProcessingException` - for errors during processing.

### createStrategies

    protected void createStrategies()

  Create a List of strategy implentations from the XML.

### createStrategy

    protected FileNamingStrategy createStrategy(org.w3c.dom.Node strategyNode)

  Create a strategy instance given a DOM node.

  Parameters:
    `strategyNode` -
  Returns:
    FileNamingStrategy

### setFileNameProperty

    public void setFileNameProperty(java.lang.String fileNameProperty)

  Set the property that holds the initial file name.

  Parameters:
    `fileNameProperty` -

### getFileNameProperty

    public java.lang.String getFileNameProperty()

  Get the property that holds the initial file name.

  Returns:
    String

### setResultProperty

    public void setResultProperty(java.lang.String resultProperty)

  Set the property that holds the processed file name.

  Parameters:
    `resultProperty` -

### getResultProperty

    public java.lang.String getResultProperty()

  Get the property that holds the processed file name.

  Returns:
    String

### setStrategies

    public void setStrategies(java.lang.String strategies)

  Set the string containing XML for strategies.

  Parameters:
    `strategies` -

### getStrategies

    public java.lang.String getStrategies()

  Set the string containing XML for strategies.

  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD